Get Medical Record Summary Status
curl --request GET \
--url https://api.sandbox.metriport.com/patient/:id/medical-record-status \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.metriport.com/patient/:id/medical-record-status"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.metriport.com/patient/:id/medical-record-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const metriportPatientId = "018a80c4-292a-7486-a223-6dcbc636c44c";
const status = await metriport.getMedicalRecordSummaryStatus(metriportPatientId);
FHIR
Get Medical Record Summary Status
Check if a Medical Record Summary for a patient already exists, and when it was generated.
GET
/
patient
/
:id
/
medical-record-status
Get Medical Record Summary Status
This endpoint checks whether the patient’s Medical Record Summary already exists in the PDF and HTML formats.
To create a Medical Record Summary, you need to use the Start Consolidated Data Query.
Path Params
The ID of the Patient.
Response
Returns a JSON containing the dates when the Medical Record Summary in PDF and HTML formats were generated.import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const metriportPatientId = "018a80c4-292a-7486-a223-6dcbc636c44c";
const status = await metriport.getMedicalRecordSummaryStatus(metriportPatientId);
When the HTML summary was created.
When the PDF summary was created.
{
"htmlCreatedAt": "2024-01-18T00:26:54.000Z",
"pdfCreatedAt": "2024-01-18T00:27:16.000Z"
}
⌘I

